using System.Windows;
using Microsoft.Phone.Controls;

namespace Controls.Pages
{
    public partial class MediaElementPage : PhoneApplicationPage
    {
        public MediaElementPage()
        {
            InitializeComponent();
        }

        // Ereignismethode für die Abspielen Schaltflaeche
        private void btnPlay_Click(object sender, RoutedEventArgs e)
        {
            // Mediendatei abspielen
            myMediaElement.Play();
        }

        // Ereignismethode für die Stopp Schaltflaeche
        private void btnStop_Click(object sender, RoutedEventArgs e)
        {
            // Mediendatei stoppen
            myMediaElement.Stop();
        }

        // Ereignismethode für die Pause Schaltflaeche
        private void btnPause_Click(object sender, RoutedEventArgs e)
        {
            // Mediendatei pausieren
            myMediaElement.Pause();
        }

        // Ereignismethode, sobald sich der Status des MediaElements aendert
        private void myMediaElement_CurrentStateChanged(object sender, RoutedEventArgs e)
        {
            // Status im Textfeld anzeigen
            tbxMediaState.Text = myMediaElement.CurrentState.ToString();
        }

        // Ereignismethode, sobald der Schieberegler für die Lautstaerke betaetigt wird
        private void sldVolume_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            // Lautstaerke setzen
            if (myMediaElement != null)
                myMediaElement.Volume = sldVolume.Value * 0.05;
        }
    }
}